Loading...
Searching...
No Matches
Dune::MatrixDimension< FieldMatrix< K, n, m > > Struct Template Reference

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::MatrixDimension< FieldMatrix< K, n, m > >:

## Public Types

typedef FieldMatrix< K, n, m > | Matrix
typedef Matrix::size_type | size_type

## Static Public Member Functions

static size_type | rowdim (const Matrix &, size_type)
static size_type | coldim (const Matrix &, size_type)
static size_type | rowdim (const Matrix &)
static size_type | coldim (const Matrix &)

## Member Typedef Documentation

## Matrix

template<typename K, int n, int m>

typedef FieldMatrix<K,n,m> Dune::MatrixDimension< FieldMatrix< K, n, m > >::Matrix

## size_type

template<typename K, int n, int m>

typedef Matrix::size_type Dune::MatrixDimension< FieldMatrix< K, n, m > >::size_type

## Member Function Documentation

## coldim() [1/2]

template<typename K, int n, int m>

size_type Dune::MatrixDimension< FieldMatrix< K, n, m > >::coldim | ( | const Matrix & |  | ) |

inline static

## coldim() [2/2]

template<typename K, int n, int m>

size_type Dune::MatrixDimension< FieldMatrix< K, n, m > >::coldim | ( | const Matrix & | ,
|  | size_type | )

inline static

## rowdim() [1/2]

template<typename K, int n, int m>

size_type Dune::MatrixDimension< FieldMatrix< K, n, m > >::rowdim | ( | const Matrix & |  | ) |

inline static

## rowdim() [2/2]

template<typename K, int n, int m>

size_type Dune::MatrixDimension< FieldMatrix< K, n, m > >::rowdim | ( | const Matrix & | ,
|  | size_type | )

inline static

The documentation for this struct was generated from the following file:

- matrixutils.hh